/**
  *  \file client/widgets/objchart.h
  *  \brief Class WObjectSelectionChartWidget
  *
  *  (c) 2001-2019 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_WIDGETS_OBJCHART_H
#define PCC_V2_CLIENT_WIDGETS_OBJCHART_H

#include "client/wtile.h"

/** Mini-map for an object selection.
    If the GObjectSelection points to a circular object, displays that on a small map. */
class WObjectSelectionChartWidget : public WObjectSelectionObserverTile {
 public:
    WObjectSelectionChartWidget(GObjectSelection& selection);
    void drawData(GfxCanvas& can);
};

#endif
